package com.ruoyi.ie.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ie.mapper.AMarjorEnrollMapper;
import com.ruoyi.ie.domain.AMarjorEnroll;
import com.ruoyi.ie.service.IAMarjorEnrollService;

/**
 * 专业录取情况Service业务层处理
 * 
 * @author voluntary
 * @date 2023-11-26
 */
@Service
public class AMarjorEnrollServiceImpl implements IAMarjorEnrollService 
{
    @Autowired
    private AMarjorEnrollMapper aMarjorEnrollMapper;

    /**
     * 查询专业录取情况
     * 
     * @param id 专业录取情况主键
     * @return 专业录取情况
     */
    @Override
    public AMarjorEnroll selectAMarjorEnrollById(Long id)
    {
        return aMarjorEnrollMapper.selectAMarjorEnrollById(id);
    }

    /**
     * 查询专业录取情况列表
     * 
     * @param aMarjorEnroll 专业录取情况
     * @return 专业录取情况
     */
    @Override
    public List<AMarjorEnroll> selectAMarjorEnrollList(AMarjorEnroll aMarjorEnroll)
    {
        return aMarjorEnrollMapper.selectAMarjorEnrollList(aMarjorEnroll);
    }

    /**
     * 新增专业录取情况
     * 
     * @param aMarjorEnroll 专业录取情况
     * @return 结果
     */
    @Override
    public int insertAMarjorEnroll(AMarjorEnroll aMarjorEnroll)
    {
        return aMarjorEnrollMapper.insertAMarjorEnroll(aMarjorEnroll);
    }

    /**
     * 修改专业录取情况
     * 
     * @param aMarjorEnroll 专业录取情况
     * @return 结果
     */
    @Override
    public int updateAMarjorEnroll(AMarjorEnroll aMarjorEnroll)
    {
        return aMarjorEnrollMapper.updateAMarjorEnroll(aMarjorEnroll);
    }

    /**
     * 批量删除专业录取情况
     * 
     * @param ids 需要删除的专业录取情况主键
     * @return 结果
     */
    @Override
    public int deleteAMarjorEnrollByIds(Long[] ids)
    {
        return aMarjorEnrollMapper.deleteAMarjorEnrollByIds(ids);
    }

    /**
     * 删除专业录取情况信息
     * 
     * @param id 专业录取情况主键
     * @return 结果
     */
    @Override
    public int deleteAMarjorEnrollById(Long id)
    {
        return aMarjorEnrollMapper.deleteAMarjorEnrollById(id);
    }
}
